<?php
/*~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!
!		!!! Разработка сайтов и отдельных модулей на PHP !!!
!	* - Автор скрипата   :  lugaro
!	* - E-mail           :  lugaro@bk.ru
!	* - Сайт             :  wapNEW.ru
!	* - ICQ              :  2000882
~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!*/
/*Редактирование папки*/
if (!$admin) header('Location: ?');
$tpl->assign_file('mod', 'tpl/inc/ren_dir.tpl');
$id = (int)$_GET['id'];
$dir = $db->assoc($db->query("SELECT * FROM foto_dir WHERE id = '$id'"));
if (empty($dir['name'])) header('Location: ?'); //нет такой папки
if (!empty($_POST['name'])) {
    $db->query("UPDATE foto_dir SET name = '" . xss($_POST['name']) . "' WHERE id = '$id'");
    header('Location: ?mod=ren_dir&id=' . $id . '&ok');
}
$tpl->assign($dir);
if (isset($_GET['ok'])) $tpl->parse('index.ren_dir.ok');
$tpl->parse('index.ren_dir');

?>